Bug 6025 - menu entry should call wrapper which force locale to KOI8 for non-koi users
: menu entry should call wrapper which force locale to KOI8 for non-koi users
Status: CLOSED FIXED
: ALT Linux 2.4
(All bugs in ALT Linux 2.4/mova)
: 2.4
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-02-03 21:16 by
Modified: 2005-06-01 00:46 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-02-03 21:16:39
menu entry should be seomething like

?package(mueller7-mova): needs="x11" section="Office/Other" title="EngRus dictio
nary" longtitle="English/Russian dictionary by V.K.Mueller" icon="mova.xpm" comm
and="/usr/bin/mueller7-mova"

where /usr/bin/mueller7-mova is

#!/bin/sh
LANG=ru_RU.KOI8-R /usr/bin/movaTK -W Mueller7GPL.koi

for users with .CP1251 locale.

иначе бНОПНЯ!
------- Comment #1 From 2005-02-04 00:15:00 -------
Почему я, запустив при локали ru_RU.KOI8-R 
словарь так: 
$ LANG=ru_RU.CP1251 movaTK 
Не увидел бНОПНИ? 
 
------- Comment #2 From 2005-02-04 11:44:05 -------
При переводе english->russian и в словарных статьях бНППНЯсов не будет.

бНППНЯ начинается при попытке перевода 
russian->english, в окне ввода слова.

------- Comment #3 From 2005-02-05 01:37:33 -------
fixed in -alt2 
------- Comment #4 From 2005-02-10 14:07:04 -------
Собрал Ваш пакет (alt2).
опять вылезла бНОПНЯ, уже из-за LC_CTYPE.

при
LANG=ru_RU.KOI8-R LC_CTYPE=ru_RU.KOI8-R /usr/bin/movaTK-real
с остальными LC_* оставшимися равными ru_UA.CP1251,
все заработало. наконец !

------- Comment #5 From 2005-02-11 02:26:56 -------
Насколько я понимаю LANG: 
$ LANG=ru_RU.CP1251 locale 
LANG=ru_RU.CP1251 
LC_CTYPE="ru_RU.CP1251" 
LC_NUMERIC="ru_RU.CP1251" 
LC_TIME="ru_RU.CP1251" 
LC_COLLATE="ru_RU.CP1251" 
LC_MONETARY="ru_RU.CP1251" 
LC_MESSAGES="ru_RU.CP1251" 
LC_PAPER="ru_RU.CP1251" 
LC_NAME="ru_RU.CP1251" 
LC_ADDRESS="ru_RU.CP1251" 
LC_TELEPHONE="ru_RU.CP1251" 
LC_MEASUREMENT="ru_RU.CP1251" 
LC_IDENTIFICATION="ru_RU.CP1251" 
LC_ALL= 
 
В чём смысл дополнительного указывания LC_CTYPE? 
------- Comment #6 From 2005-02-11 14:39:32 -------
Разобрался.
Это тяжелое наследие Мастера 2.2 или более древнего.
у меня в ~ лежит старый .i18n

SYSFONT=UniCyr_8x16
LC_MONETARY=ru_RU.CP1251
LC_CTYPE=ru_RU.CP1251
LC_NUMERIC=ru_RU.CP1251
LC_MESSAGES=ru_RU.CP1251
LANGUAGE=ru_RU.CP1251
LC_TIME=ru_RU.CP1251
LC_COLLATE=ru_RU.CP1251
SYSFONTACM=cp1251
LANG=ru_RU.CP1251

в результате выполняю на своей машине :)
[igor@devel igor]$ LANG=ru_UA.KOI8-U locale
LANG=ru_UA.KOI8-U
LC_CTYPE=ru_RU.CP1251
LC_NUMERIC=ru_RU.CP1251
LC_TIME=ru_RU.CP1251
LC_COLLATE=ru_RU.CP1251
LC_MONETARY=ru_RU.CP1251
LC_MESSAGES=ru_RU.CP1251
LC_PAPER="ru_UA.KOI8-U"
LC_NAME="ru_UA.KOI8-U"
LC_ADDRESS="ru_UA.KOI8-U"
LC_TELEPHONE="ru_UA.KOI8-U"
LC_MEASUREMENT="ru_UA.KOI8-U"
LC_IDENTIFICATION="ru_UA.KOI8-U"
LC_ALL=

как мы видим, LC_CTYPE=ru_RU.CP1251
выжило и портит локаль.

в новом /etc/skel.ru_RU.CP1251 этого нет.

LANG=ru_RU.CP1251
LANGUAGE=ru_RU.CP1251
SYSFONTACM=cp1251
SYSFONT=UniCyr_8x16
DICTIONARY=russianw
MPAGE="-CCP1251"
export DICTIONARY MPAGE

Вывод:
спасибо за помощь, теперь то я у себя обновлю .i18n, 

однако 
1) для backward совместимости с Мастер 2.4 over Мастер 2.2+ru_RU.CP1251
2) для forward совместимости с /etc/skel* и ~/.i18n (что туда в положат?)
3) некоторые пользователи явно устанавливают LC_CTYPE
пример -- мой друг KOIшник с ru_RU.KOI8-R ставит себе 
  LANG=ru_RU.KOI8-R
  LC_CTYPE=ru_UA.KOI8-U,
  чтобы можно было набирать украинские буквы.
  ему LANG=uk_UA.KOI8-U не подходит -- побочный эффект -- украинизация
  ему LANG=ru_UA.KOI8-U не подходит -- побочный эффект -- некоторые приложения  
  ее не понимают
для подобных со своими custom локалями
стоило бы добавить LC_CTYPE.
------- Comment #7 From 2005-02-18 12:43:20 -------
fixed in -alt2.1
------- Comment #8 From 2005-06-01 00:46:25 -------
вроде всё нормально.